<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::connection('discord')->create('actions', function (Blueprint $table) {
            $table->id();
            $table->string('action');
            $table->json('data');
            $table->boolean('done')->default(false);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::connection('discord')->dropIfExists('actions');
    }
};
